// (c) 2005 Martin Wengenmayer
//
// This script is in the public domain. Feel free to modify it or use 
// it as a starting point for your own creations.
//
// Purpose: 
//      Export the scene to a .obj and a .mtl file.
//

function main(doc){
    var path=OS.runSavePanel("obj");
    if(path==null){
	return;
	}
        
    var file=new File(path);
    var lastpathcomp=file.lastPathComponent();
    var dir=file.directory();
    var comps= lastpathcomp.split(/\./);
    var objpath=dir+"/"+comps[0]+".obj";
    var mtlpath=dir+"/"+comps[0]+".mtl";
	
    doc.saveToFile(objpath,"obj");
    doc.saveToFile(mtlpath,"mtl");
}
